datablock ExplosionData(EarthquakeExplosion)
{
	explosionShape = "";
	lifeTimeMS = 150;
	
	faceViewer     = true;
	explosionScale = "1 1 1";
	
	shakeCamera = true;
	camShakeFreq = "7.0 7.0 7.0";
	camShakeAmp = "1.0 1.0 1.0";
	camShakeDuration = 2;
	camShakeRadius = 5.0;
	
	damageRadius = 0;
	radiusDamage = 0;
	
	impulseRadius = 0;
	impulseForce = 0;
};

datablock ProjectileData(EarthquakeProjectile)
{
	projectileShapeName = "";
	directDamage        = 0;
	directDamageType    = $DamageType::EarthquakeDirectProj;
	radiusDamageType    = $DamageType::EarthquakeRadiusProj;
	
	
	brickExplosionRadius = 0;
	brickExplosionImpact = false;
	brickExplosionForce  = 0;
	brickExplosionMaxVolume = 0;
	brickExplosionMaxVolumeFloating = 0;
	
	impactImpulse	   = 0;
	verticalImpulse	   = 0;
	explosion           = EarthquakeExplosion;
	
	muzzleVelocity      = 0;
	velInheritFactor    = 1;
	
	armingDelay         = 00;
	lifetime            = 1;
	fadeDelay           = 0;
	bounceElasticity    = 0.0;
	bounceFriction      = 0.0;
	isBallistic         = false;
	gravityMod		   = 0.0;
	
	hasLight    = false;
	lightRadius = 10;
	lightColor  = "0.0 1.0 1.0";
	
	explodeOnDeath = 1;
};

registerOutputEvent("Minigame", "EarthquakePulse", "", true);
function MinigameSO::earthquakePulse(%this, %c){
	%count = %this.numMembers;
	for(%i = 0; %i < %count; %i++){
		%client = %this.member[%i];
		if(isObject(%client.player))
			%client.player.spawnExplosion(EarthquakeProjectile, 0.5 + (getRandom() / 2));
	}
	//echo(%c.name SPC %c.BL_ID SPC "shook the ground");
}